org.jboss.resteasy.spi.metadata

## Class ResourceBuilder.ResourceMethodParameterBuilder

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.ResourceBuilder.ParameterBuilder<T>
  - - org.jboss.resteasy.spi.metadata.ResourceBuilder.LocatorMethodParameterBuilder<ResourceBuilder.ResourceMethodParameterBuilder>
    - - org.jboss.resteasy.spi.metadata.ResourceBuilder.ResourceMethodParameterBuilder

- Enclosing class:
    ResourceBuilder

      public static class ResourceBuilder.ResourceMethodParameterBuilder
      extends ResourceBuilder.LocatorMethodParameterBuilder<ResourceBuilder.ResourceMethodParameterBuilder>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceBuilder.ResourceMethodParameterBuilder(ResourceBuilder.ResourceMethodBuilder method, MethodParameter param)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceBuilder.ResourceMethodParameterBuilder` | `fromAnnotations()`
    `ResourceBuilder.ResourceMethodParameterBuilder` | `suspend(long timeout)`
    `ResourceBuilder.ResourceMethodParameterBuilder` | `suspended()`

    - ### Methods inherited from class org.jboss.resteasy.spi.metadata.ResourceBuilder.LocatorMethodParameterBuilder

      `buildMethod, param`

    - ### Methods inherited from class org.jboss.resteasy.spi.metadata.ResourceBuilder.ParameterBuilder

      `beanParam, context, cookieParam, defaultValue, encoded, form, form, formParam, genericType, headerParam, matrixParam, messageBody, pathParam, queryParam, type, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceBuilder.ResourceMethodParameterBuilder

          public ResourceBuilder.ResourceMethodParameterBuilder(ResourceBuilder.ResourceMethodBuilder method,
                                                        MethodParameter param)

  - ### Method Detail

    - #### suspended

          public ResourceBuilder.ResourceMethodParameterBuilder suspended()

    - #### suspend

          public ResourceBuilder.ResourceMethodParameterBuilder suspend(long timeout)

    - #### fromAnnotations

          public ResourceBuilder.ResourceMethodParameterBuilder fromAnnotations()

      Overrides:
        `fromAnnotations` in class `ResourceBuilder.ParameterBuilder<ResourceBuilder.ResourceMethodParameterBuilder>`

Copyright © 2014. All Rights Reserved.